using System.ComponentModel.DataAnnotations;
using System.Web;
using System.Web.Mvc;
using MileageTraker.Web.Attributes;

namespace MileageTraker.Web.ViewModels.Log
{
	public class ImportUploadViewModel
	{
		[Required]
		[Display(Name = "XLS Excel File")]
		public HttpPostedFileBase File { get; set; }

		[Required]
		[Remote("ExistsByEitherName", "User", ErrorMessage = "User with this name doesn't exist")]
		[Display(Name = "Driver Name")]
		[InputSize("medium")]
		public string UserName { get; set; }
	}
}